Ellipsoid (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.proj
Class Ellipsoid

    java.lang.Object
      com.bbn.openmap.proj.Ellipsoid

    public class Ellipsoid

extends java.lang.Object

A class representing a reference Ellipsoid for UTM calculations.

Adapted to Java by Colin Mummery (colin_mummery@agilent.com) from C++ code by Chuck Gantz (chuck.gantz@globalstar.com).

See http://en.wikipedia.org/wiki/Figure_of_the_Earth

Field Summary
`static Ellipsoid` | `AIRY` "Airy"
`static Ellipsoid` | `AUSTRALIAN_NATIONAL` "Australian National"
`static Ellipsoid` | `BESSEL_1841` "Bessel 1841"
`static Ellipsoid` | `BESSEL_1841_NAMIBIA` "Bessel 1841 (Nambia) "
`static Ellipsoid` | `CLARKE_1866` "Clarke 1866"
`static Ellipsoid` | `CLARKE_1880` "Clarke 1880"
`double` | `ecc` The ellipsoid's eccentricity.
`double` | `eccsq` The square of this ellipsoid's eccentricity.
`static Ellipsoid` | `EVEREST` "Everest"
`static Ellipsoid` | `FISHER_1960_MERCURY` "Fischer 1960 (Mercury) "
`static Ellipsoid` | `FISHER_1968` "Fischer 1968"
`static Ellipsoid` | `GRS_1967` "GRS 1967"
`static Ellipsoid` | `GRS_1980` "GRS 1980"
`static Ellipsoid` | `HELMERT_1906` "Helmert 1906"
`static Ellipsoid` | `HOUGH` "Hough"
`static Ellipsoid` | `INTERNATIONAL` "International"
`static Ellipsoid` | `KRASSOVSKY` "Krassovsky"
`static Ellipsoid` | `MODIFIED_AIRY` "Modified Airy"
`static Ellipsoid` | `MODIFIED_EVEREST` "Modified Everest"
`static Ellipsoid` | `MODIFIED_FISCHER_1960` "Modified Fischer 1960"
`java.lang.String` | `name` The display name for this ellipsoid.
`double` | `polarRadius` The polar radius for this ellipsoid.
`double` | `radius` The equitorial radius for this ellipsoid.
`static Ellipsoid` | `SOUTH_AMERICAN_1969` "South American 1969"
`static Ellipsoid` | `WGS_60` "WGS 60"
`static Ellipsoid` | `WGS_66` "WGS 66"
`static Ellipsoid` | `WGS_72` "WGS-72"
`static Ellipsoid` | `WGS_84` "WGS-84"

Constructor Summary
`Ellipsoid(java.lang.String name, double radius, double eccsq)` Constructs a new Ellipsoid instance.
`Ellipsoid(java.lang.String name, double equitorialRadius, double ecc, double eccsq, double polarRadius)` Constructs a new Ellipsoid instance.

Method Summary
`static Ellipsoid[]` | `getAllEllipsoids()` Returns an array of all available ellipsoids in alphabetical order by name.
`static Ellipsoid` | `getByName(java.lang.String name)` Given the name of an Ellipsoid, find the object for it out of the possible selections.
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AIRY

    public static final Ellipsoid AIRY

  "Airy"

### AUSTRALIAN_NATIONAL

    public static final Ellipsoid AUSTRALIAN_NATIONAL

  "Australian National"

### BESSEL_1841

    public static final Ellipsoid BESSEL_1841

  "Bessel 1841"

### BESSEL_1841_NAMIBIA

    public static final Ellipsoid BESSEL_1841_NAMIBIA

  "Bessel 1841 (Nambia) "

### CLARKE_1866

    public static final Ellipsoid CLARKE_1866

  "Clarke 1866"

### CLARKE_1880

    public static final Ellipsoid CLARKE_1880

  "Clarke 1880"

### EVEREST

    public static final Ellipsoid EVEREST

  "Everest"

### FISHER_1960_MERCURY

    public static final Ellipsoid FISHER_1960_MERCURY

  "Fischer 1960 (Mercury) "

### FISHER_1968

    public static final Ellipsoid FISHER_1968

  "Fischer 1968"

### GRS_1967

    public static final Ellipsoid GRS_1967

  "GRS 1967"

### GRS_1980

    public static final Ellipsoid GRS_1980

  "GRS 1980"

### HELMERT_1906

    public static final Ellipsoid HELMERT_1906

  "Helmert 1906"

### HOUGH

    public static final Ellipsoid HOUGH

  "Hough"

### INTERNATIONAL

    public static final Ellipsoid INTERNATIONAL

  "International"

### KRASSOVSKY

    public static final Ellipsoid KRASSOVSKY

  "Krassovsky"

### MODIFIED_AIRY

    public static final Ellipsoid MODIFIED_AIRY

  "Modified Airy"

### MODIFIED_EVEREST

    public static final Ellipsoid MODIFIED_EVEREST

  "Modified Everest"

### MODIFIED_FISCHER_1960

    public static final Ellipsoid MODIFIED_FISCHER_1960

  "Modified Fischer 1960"

### SOUTH_AMERICAN_1969

    public static final Ellipsoid SOUTH_AMERICAN_1969

  "South American 1969"

### WGS_60

    public static final Ellipsoid WGS_60

  "WGS 60"

### WGS_66

    public static final Ellipsoid WGS_66

  "WGS 66"

### WGS_72

    public static final Ellipsoid WGS_72

  "WGS-72"

### WGS_84

    public static final Ellipsoid WGS_84

  "WGS-84"

### name

    public final java.lang.String name

  The display name for this ellipsoid.

### radius

    public final double radius

  The equitorial radius for this ellipsoid.

### polarRadius

    public final double polarRadius

  The polar radius for this ellipsoid.

### ecc

    public final double ecc

  The ellipsoid's eccentricity.

### eccsq

    public final double eccsq

  The square of this ellipsoid's eccentricity.

Constructor Detail

### Ellipsoid

    public Ellipsoid(java.lang.String name,
                     double radius,
                     double eccsq)

  Constructs a new Ellipsoid instance.

  Parameters:
    `radius` - The earth radius for this ellipsoid.
    `eccsq` - The square of the eccentricity for this ellipsoid.

### Ellipsoid

    public Ellipsoid(java.lang.String name,
                     double equitorialRadius,
                     double ecc,
                     double eccsq,
                     double polarRadius)

  Constructs a new Ellipsoid instance.

  Parameters:
    `name` - The name of the ellipsoid.
    `equitorialRadius` - The earth equitorial radius for this ellipsoid.
    `ecc` - The eccentricity for this ellipsoid.
    `eccsq` - The square of the eccentricity for this ellipsoid.
    `polarRadius` - The earth polar radius for this ellipsoid.

Method Detail

### getAllEllipsoids

    public static Ellipsoid[] getAllEllipsoids()

  Returns an array of all available ellipsoids in alphabetical order by name.

  Returns:
    An Ellipsoid[] array containing all the available ellipsoids

### getByName

    public static Ellipsoid getByName(java.lang.String name)

  Given the name of an Ellipsoid, find the object for it out of the possible selections. Returns null if the Ellipsoid isn't found.

  Parameters:
    `name` -
  Returns:
    Ellipsoid for given name, null if not found.

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    String representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details